org.apache.ignite.failure

## Interface FailureHandler

All Known Implementing Classes:
  NoOpFailureHandler, RestartProcessFailureHandler, StopNodeFailureHandler, StopNodeOrHaltFailureHandler

    public interface FailureHandler

Provides facility to handle failures by custom user implementations, which can be configured by `IgniteConfiguration.setFailureHandler(FailureHandler)` method.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `onFailure(Ignite ignite, FailureContext failureCtx)` Handles failure occurred on `ignite` instance.

### Method Detail

#### onFailure

    boolean onFailure(Ignite ignite,
                      FailureContext failureCtx)

Handles failure occurred on `ignite` instance. Failure details is contained in `failureCtx`. Returns `true` if kernal context must be invalidated by `FailureProcessor` after calling this method.

Parameters:
  `ignite` - Ignite instance.
  `failureCtx` - Failure context.
Returns:
  Whether kernal context must be invalidated or not.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018